package com.lesingle.modules.biz.homework.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.common.result.PageResult;
import com.lesingle.modules.biz.homework.dto.CreateHomeworkDto;
import com.lesingle.modules.biz.homework.entity.BizHomework;

import java.util.List;
import java.util.Map;

public interface IHomeworkService extends IService<BizHomework> {

    BizHomework create(CreateHomeworkDto dto, Long tenantId);

    PageResult<Map<String, Object>> findAll(Long page, Long pageSize, Long tenantId, String name, String status);

    PageResult<Map<String, Object>> findMyHomeworks(Long page, Long pageSize, Long userId, Long tenantId, String name);

    Map<String, Object> findDetail(Long id);

    BizHomework update(Long id, CreateHomeworkDto dto);

    void publish(Long id, List<Integer> publishScope);

    void unpublish(Long id);

    void remove(Long id);
}
